USE raw_db;
-- DROP TABLE fund_style_stats_dolphin;
CREATE TABLE `fund_style_stats_dolphin` (
  `fund_id` varchar(10) NOT NULL COMMENT '基金id',
  `end_date` varchar(7) NOT NULL COMMENT '截至日期',
  `upsidecapture_ret_6m` decimal(22,6) DEFAULT NULL,
  `downsidecapture_ret_6m` decimal(22,6) DEFAULT NULL,
  `upsidecapture_ratio_6m` decimal(22,6) DEFAULT NULL,
  `downsidecapture_ratio_6m` decimal(22,6) DEFAULT NULL,
  `upsidecapture_ret_1y` decimal(22,6) DEFAULT NULL,
  `downsidecapture_ret_1y` decimal(22,6) DEFAULT NULL,
  `upsidecapture_ratio_1y` decimal(22,6) DEFAULT NULL,
  `downsidecapture_ratio_1y` decimal(22,6) DEFAULT NULL,
  `upsidecapture_ret_2y` decimal(22,6) DEFAULT NULL,
  `downsidecapture_ret_2y` decimal(22,6) DEFAULT NULL,
  `upsidecapture_ratio_2y` decimal(22,6) DEFAULT NULL,
  `downsidecapture_ratio_2y` decimal(22,6) DEFAULT NULL,
  `upsidecapture_ret_3y` decimal(22,6) DEFAULT NULL,
  `downsidecapture_ret_3y` decimal(22,6) DEFAULT NULL,
  `upsidecapture_ratio_3y` decimal(22,6) DEFAULT NULL,
  `downsidecapture_ratio_3y` decimal(22,6) DEFAULT NULL,
  `upsidecapture_ret_4y` decimal(22,6) DEFAULT NULL,
  `downsidecapture_ret_4y` decimal(22,6) DEFAULT NULL,
  `upsidecapture_ratio_4y` decimal(22,6) DEFAULT NULL,
  `downsidecapture_ratio_4y` decimal(22,6) DEFAULT NULL,
  `upsidecapture_ret_5y` decimal(22,6) DEFAULT NULL,
  `downsidecapture_ret_5y` decimal(22,6) DEFAULT NULL,
  `upsidecapture_ratio_5y` decimal(22,6) DEFAULT NULL,
  `downsidecapture_ratio_5y` decimal(22,6) DEFAULT NULL,
  `upsidecapture_ret_10y` decimal(22,6) DEFAULT NULL,
  `downsidecapture_ret_10y` decimal(22,6) DEFAULT NULL,
  `upsidecapture_ratio_10y` decimal(22,6) DEFAULT NULL,
  `downsidecapture_ratio_10y` decimal(22,6) DEFAULT NULL,
  `upsidecapture_ret_ytd` decimal(22,6) DEFAULT NULL,
  `downsidecapture_ret_ytd` decimal(22,6) DEFAULT NULL,
  `upsidecapture_ratio_ytd` decimal(22,6) DEFAULT NULL,
  `downsidecapture_ratio_ytd` decimal(22,6) DEFAULT NULL,
  `upsidecapture_ret_incep` decimal(22,6) DEFAULT NULL,
  `downsidecapture_ret_incep` decimal(22,6) DEFAULT NULL,
  `upsidecapture_ratio_incep` decimal(22,6) DEFAULT NULL,
  `downsidecapture_ratio_incep` decimal(22,6) DEFAULT NULL,
  PRIMARY KEY (`fund_id`,`end_date`)
) COMMENT='DolphinDB写回的基金历史捕获率指标表'
